diff --git a/tools/dataset_converters/update_infos_to_v2.py b/tools/dataset_converters/update_infos_to_v2.py
index a2ddbd06..20025e47 100644
--- a/tools/dataset_converters/update_infos_to_v2.py
+++ b/tools/dataset_converters/update_infos_to_v2.py
@@ -404,6 +404,7 @@ def update_kitti_infos(pkl_path, out_dir):
     data_list = mmengine.load(pkl_path)
     print('Start updating:')
     converted_list = []
+    ignore_class_name = set()
     for ori_info_dict in mmengine.track_iter_progress(data_list):
         temp_data_info = get_empty_standard_data_info()
 
@@ -455,7 +456,6 @@ def update_kitti_infos(pkl_path, out_dir):
         cam2img = ori_info_dict['calib']['P2']
 
         anns = ori_info_dict.get('annos', None)
-        ignore_class_name = set()
         if anns is not None:
             num_instances = len(anns['name'])
             instance_list = []
@@ -540,6 +540,7 @@ def update_s3dis_infos(pkl_path, out_dir):
     data_list = mmengine.load(pkl_path)
     print('Start updating:')
     converted_list = []
+    ignore_class_name = set()
     for i, ori_info_dict in enumerate(mmengine.track_iter_progress(data_list)):
         temp_data_info = get_empty_standard_data_info()
         temp_data_info['sample_idx'] = i
@@ -557,7 +558,6 @@ def update_s3dis_infos(pkl_path, out_dir):
         # TODO support camera
         # np.linalg.inv(info['axis_align_matrix'] @ extrinsic): depth2cam
         anns = ori_info_dict.get('annos', None)
-        ignore_class_name = set()
         if anns is not None:
             if anns['gt_num'] == 0:
                 instance_list = []
